package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.SecretariaEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.Secretaria;
import com.rjconsultores.ventaboletos.entidad.SecretariaEmpresa;

@Repository("secretariaEmpresaDAO")
public class SecretariaEmpresaHibernateDAO extends GenericHibernateDAO<SecretariaEmpresa, Integer>
		implements SecretariaEmpresaDAO {

	@Autowired
	public SecretariaEmpresaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
	public List<SecretariaEmpresa> buscarPorSecretaria(Secretaria secretaria) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("secretaria", secretaria));

		return c.list();
	}
}
